See the UPGRADE_TO_1_1 for upgrading 1.0 projects first to 1.1.
See the UPGRADE_TO_1_2 file for more information about upgrading your projects from 1.1 to 1.2.

All the new features are documented in the What's new? tutorial (http://www.symfony-project.org/tutorial/1_2/en/whats-new)

02/25/10: Version 1.2.12
------------------------

The 1.2.12 release is security release.
Please read http://www.symfony-project.org/blog/2010/02/25/security-release-1-2-12-1-3-3-and-1-4-3 for more information.

02/13/10: Version 1.2.11
------------------------

 * [27989]: backported r27738 xss fix (closes #8176)
 * [27816]: fixed invalid sprintf syntax in exception (closes #8256)
 * [27616]: passed the changeStack option in ->get() and ->post() calls of sfBrowserBase to the delegated ->call() (fixes #4271)
 * [27597]: fixed minor incompatibility of new link_to() behaviour with 1.0 behaviour (fixes #7933, #8231)
 * [27479]: Removed svn version line from propel generated files showing them as modified even without changes each regeneration (backported r27472)
 * [27415]: fixed sfFillInForm so that it doesn't loose encoding information (fixes #3943)
 * [27191]: fixed missing variable declaration in sfProjectCOnfiguration (closes #7949)
 * [27177]: added note about invalid link_to('#') usage to upgrade documentation (closes #8089)
 * [26989]: fixed typo in getting Priorities from sfVarLogger (fixes #7938)
 * [26982]: backported r21879 fix for doctrine debug panel not html-escaping (fixes #7972)
 * [26968]: backport of r26957 fix for web debug toolbar handling svg elements
 * [26681]: fixed format_currency is rounding bad (closes #6788)
 * [26264]: fixed PHPDoc (closes #7983)
 * [25459]: added the module name when including a partial in the admin generator
 * [25458]: updated Turkish translations of the admin generator (closes #7928, patch by metoikos)
 * [25411]: changed project:validate task to generate less false positive (closes #7852)
 * [25410]: changed project:validate task to strip comments in PHP classes to avoid false positives (refs #7852)
 * [25146]: backported r24971 (closes #7771)
 * [24942]: updated japanese translation of the admin generator (closes #7814 patch by river.bright)
 * [24780]: fixed warnings in project:validate task (closes #7770)
 * [24706]: optimized project:validate task

12/01/09: Version 1.2.10
------------------------

 * [24643]: upgraded Doctrine to 1.0.14
 * [24622]: allowed `__()` and `sfI18N->__()` and `sfMessageFormat->format()` to take an object with a `__toString()` method. Test case for 1.2,1.3 and 1.4 (fixes #7559, #6763, refs #2161)
 * [24619]: fixed incorrect array access of lastModified header which only was an array pre 1.0. This was effectively preventing 304 Not Modified response from working correctly. Fixed phpdoc referring to array as return type of getHttpHeader() (fixes #6633, #7539)
 * [24613]: added project:validate task to symfony 1.2 to enable checking for deprecated code already before upgrading to 1.3. When upgrading to 1.3/1.4 it is still required to run the upgrade task even when all deprecations have been addressed
 * [24607]: no longer adding duplicate entries in sfMemcacheCache.class metadata cache when key is already existing (fixes #7602)
 * [24599]: backported #7554 to 1.2. Cache Session Storage correctly sets and regenerates session_id
 * [24591]: added requirements to DELETE action of sfObjectRouteCollection.class.php (fixes #7634)
 * [24590]: fixed obtaining error from mysqli session storage (fixes #7737)
 * [24524]: fixed regression when cleaning a date string that includes a timezone in new `DateTime` implementation, added appropriate regression test to 1.2
 * [24513]: fixed vary cache key again (fixes #7605)
 * [24511]: correctly closing output buffering in case of exceptions while requiring a file in sfPHPView (fixes #7596)
 * [24499]: fixed coding standards in javascript base helper (closes #7708)
 * [24498]: fixed getObjectsForParameters() failing on second invocation on sfDoctrineRoute.class.php (fixes #7716)
 * [24396]: reset the mb_internal_encoding in case it was changed in text helpers. added basic unit test for that (fixes #7641)
 * [24269]: fixed sfWidgetFormInputFileEditable (closes #7621)
 * [23984]: not setting status header for servers in cgi-sapi mode (fixes #3191)
 * [23977]: fixed image saving for Doctrine
 * [23973]: replaced last reference of $sf_symfony_lib_dir with sfConfig::get('sf_symfony_lib_dir') (refs #7403)
 * [23951]: fixed file validator on certain mac os configurations (closes #6641)
 * [23950]: fixed doctrine modules when dealing with multiple primary keys (closes #7571)
 * [23949]: improved searching for symfony script file on windows (closes #6914)
 * [23925]: fixed sfMemcacheCache delete() operation (closes #6220)
 * [23915]: added unit test for sfSessionStorage (closes #7585, patch by Rubino)
 * [23909]: updated SfObjectBuilder so that Propel objects do not query the I18N table when they are new (fixes #7513, patch by joostdj)
 * [23899]: Default fields are created for %%variables%% in the title of the edit, list and new action, if possible. Closes #7578
 * [23895]: switched phing external to 2.3.3 tag instead of its revision in the trunk
 * [23734]: removed incorrect reference to ISO-639-1 (refs #7022)
 * [23727]: added timestamps for the releases to the changelog. The information is in trac and svn tags, but indeed it is handy to have them in the changelog (closes #7512)
 * [23601]: updated Doctrine to 1.0.13
 * [23501]: checking for sqlite extended to checking for pdo_sqlite as well
 * [23439]: fixed project:deploy task documentation (closes #7473)
 * [23438]: fixed wrong variable used in JSON error page in a production environment (closes #7461)
 * [23436]: fixed count() on escaped objects that implements the Countable interface
 * [23409]: improved czech language for admin generator (fixes #7459 patch from jary)
 * [23376]: added a check in _call_component() to avoid unnecessary unescaping when output escaping is disabled in the settings (fixes #7446)
 * [23344]: made DateHelperTest more robust by using a single timestamp rather than letting date() obtain them on their own
 * [23338]: updated phpDoc of sfFilter:initialize to correctly state that no exceptions are thrown and true is always returned (closes #7426)
 * [23180]: fixed phpdoc return value for findRoute (closes #7380)
 * [23079]: fixed wrong class name generated for filter if not specified in generator.yml (closes #7327)
 * [23074]: added an exception in sfValidatorFile when file_uploads is disable in php.ini (refs #7345)
 * [22878]: fixed previous commit on i18n currencies order (refs #7244)
 * [22877]: fixed i18n currencies order (closes #7244)
 * [22876]: fixed app.yml configuration cascade blocked by empty file (closes #7298)
 * [22873]: fixed incorrect HTTP headers (closes #6966)
 * [22869]: fixed typo in sfWidgetFormInputFileEditable.class.php
 * [22691]: moved code hooking cleanup method to ensure directory has been set (closes #7260)

09/27/09: Version 1.2.9
-----------------------

 * [22503]: Updating Doctrine to 1.0.12
 * [22496]: removed different formatting for currency symbol because it is not supported. (fixes #1165)
 * [22493]: fixed broken currency format for indian rupees in english locale (closes #1165)
 * [22490]: fixed catalonian admin gen translation (closes #7213)
 * [22401]: fixed form field render method so widget schema id format is applied
 * [22278]: fixed propel:build-schema when several connections are defined (closes #5305)
 * [22180]: fixed possible notices when cache or cache parameters are not set (for example for sfNoCache). (closes #7172)
 * [22025]: fixed missing div in admin generator used in css styles. (fixes #6024)
 * [22019]: disabled the routing cache in the default factories.yml as this is the best option for most projects
 * [22018]: fixed number validators default min/max error messages (closes #7035, #6485)
 * [22003]: fixed typo in exception. (closes #7115)
 * [21991]: fixed the sfWidgetFormChoice not passing id_format to the renderer. (fixes #6639)
 * [21979]: fixed incorrect access to response in sfViewCacheManager. (closes #7090)
 * [21978]: upgraded lime for symfony 1.2.x
 * [21904]: corrected deprecation message for component function debugMessage
 * [21901]: fixed passing sorting options correctly in the admin generator tabular header. (closes #6841)
 * [21898]: fixed missing variable in route serialization (closes #6786)
 * [21897]: fixed generate:project error message (closes #6807)
 * [21896]: updated ru translations for the admin generator (closes #6965)
 * [21895]: fixed phpdoc (closes #7110)
 * [21894]: fixed propel:data-dump fails to dump columns with capital letters in the column name (closes #7126)
 * [21875]: fixed PHPDoc (closes #6279)
 * [21864]: fieldset title displayed even if no field to display (closes #5522)
 * [21862]: fixed double translation of help texts in the admin generator (closes #7102, patch from loops)
 * [21822]: fixed exception thrown when sorting column is wrong (closes #7129 - patch from hugo.hamon)
 * [21430]: fixed sfWidgetFormSchema is buggy when using a combination of numeric and string field names (closes #7033, patch from bschussek)
 * [21388]: fixed inclusion of duplicate javascript files if the same widget is included more than once in a form
 * [21387]: added more phpdoc to *_for_form() helpers (closes #6183)
 * [21252]: fixed possible problems when dumping routes that accept complex objects (fixes #7030)
 * [21145]: fixed doctrine form filter when the table method returns a query with a different root alias
 * [20870]: fixed invalid confirm attribute in html showing up by not unsetting the confirm attribute passed into javascript functions. (fixes #4152)
 * [20802]: fixed symfony exception Content Encoding Error (closes #5108)
 * [20681]: fixed widget class selection to work with latest doctrine development which added the possibility of a string column with a length of null (closes #6873, thanks co3k)
 * [20606]: fixed a Strict Standards warning under PHP 5.3 (closes #6933)
 * [20550]: fixed mkdir() usage in sfValidatorFile (closes #6830)
 * [20545]: fixed linked data when using multiple dirs in propel:data-load task (closes #6877)
 * [20479]: fixed sfAppRoutesTask ignores options from factories.yml (closes #6434)
 * [20472]: Fixed case-insensitive check of `sf_method` routing requirement.
 * [20469]: Moved application of default `sf_method` requirements to constructor so `app:routes` shows accurate methods. (refs #6511)
 * [20468]: fixed matchesParameters logic in sfRequestRoute when multiple method requirements have been specified
 * [20457]: fixed phpdoc (closes #6878)
 * [20304]: added password to the last example of configure:database usage (closes #6833)
 * [20301]: added exception phpdocs to all widget classes and change function signature (closes #6840 - patch from gimler)
 * [20300]: fixed sfDatabaseSessionStorage ignores session storage configuration in factories.yml (closes #6861)
 * [20298]: fixed sfForm::setDefaults() ignores individual CSRF protection (closes #6864)
 * [20296]: fixed finfo() usage for PHP 5.3 (closes #)
 * [20295]: removed zend.ze1_compatibility_mode check as it has been removed in PHP 5.3 (closes #6863)


07/13/09: Version 1.2.8
-----------------------

This release rolls back the security fix from 1.2.6/1.2.7:

"These changes have been done to plug a security hole in the symfonyadmin generator (more information on the symfony blog:
http://www.symfony-project.org/blog/2009/04/27/symfony-1-2-6-security-fix).But a lot of people complained because it
causes more harm than good. The fix disables for instance the possibility to have custom partials. Moreover, the problem
also exists in a normal form if you don't use the "echo $form" construct and if you forget to display some non-required
fields in the template. After some discussion with the core team members, it appears that there is no way to "fix" the
problem for the developer. We thought that we would be able to provide something, but the reality is that we cannot.
Is it a problem? We think it is not a big problem as the circumstances under which there can be an exploit are
extremely rare or even inexistent as if you are vulnerable, it also means that your database data will be corrupted in some
way (read the next section for more information). As a matter of fact, all frameworks around are vulnerable and have the
exact same problem. We already provide more advanced security features for the form framework than anyother framework
around, but we cannot go any further. Security is also a developer matter, and too much magic is sometimes a bad thing.
Here is the exact circumstances under which you might be vulnerable: A field is vulnerable only if you forget to display
its widget inthe template and only if it has a non-required validator. Then, an attacker could potentially inject a valid
value for this field, and it will be saved with the rest of the object. But two things greatly mitigate the issue: first,
if you forget to display a field, each time you save the form, its value will be lost. So, most of the time, you will be
aware of the problem because the data in the database will be corrupted. Second, the attacker need to know the exact field
name, which is not easy as no information is contained in the HTML."

 * [20144]: fixed phpdoc for sfTesterForm (closes #6813)
 * [20142]: fixed simple_format_text having problems with certain linebreaks. patch by Maxim Oleinik (closes#6824)
 * [20053]: fixed autoload order, enhanced performances of tasks autoloading
 * [20049]: fixed tasks autoloading order, added tests for proof
 * [20048]: added phpdoc for compat exceptions (closes #6781)
 * [20047]: fixed phpDoc (closes #6796)
 * [20042]: applied patch from gimler, adding more tests for sfWebRequest (closes #6797)
 * [20026]: Fixing sfValidatorDoctrineChoice to get alias from query instead of hardcoding a (closes #6740)
 * [19996]: Adding missing french translations for admin gen (closes #6749)
 * [19980]: fixed the order where the tasks was loaded (fixes #4766, #5348), plus fixed case when sfToolkit::getPhpCli() could misbehave with custom user PATH
 * [19912]: calling dataDir statically as it should be in sfCultureInfo (fixes #6604)
 * [19911]: added check in sfActions that prefents infinite recursion in the execute method when the action name is empty (fixes #6710)
 * [19850]: fixed PHPdoc typo
 * [19819]: reverted the changesets that removed the non-visible fields in the admin generator (see security note above)
 * [19777]: fixed warnings when trying to load a non-valid XML file with the XLIFF i18n message source class (closes #6728)
 * [19701]: fixed sfMemcacheCache set() method (closes #6696)
 * [19468]: fixed routing for PHP 5.3.0RC4
 * [19442]: fixed default value for max forwards in sfController (closes #6675)
 * [19411]: fixed PHPDoc return values (closes #6667)
 * [19410]: added check for php 5.2.9 which has a bug in array_unique to check_configuration.php (refs #6211)
 * [19310]: fixed JavascriptHelper call to insert Element in update_element_function() when using the position attribute (closes #6638)
 * [19297]: added support for Office 2007 for file uploads (closes #6635)
 * [19256]: fixed generateCacheKey does not coverts dots to underscorse in user given hostname (closes #6252)
 * [19244]: fixed admin gen CSS (closes #6596)
 * [19243]: added some missing PHPDoc (closes #6620)
 * [19217]: fixed class name case
 * [19112]: added missing PHPDoc
 * [18955]: fixed case insensitivity of module name when checking module.yml for a partial view class
 * [18835]: fixed a bug on Propel/Doctrine route generation
 * [18746]: fixed test plan for CLI tasks (closes #6545)
 * [18734]: fixed loading order of tasks (refs #5348)
 * [18726]: fixed typo (closes #6538)
 * [18669]: fixed sfBrowser::click() when several links and buttons have the same value (closes #6470 - patch from gimler)
 * [18666]: updated lime to 1.0.6
 * [18607]: fixed format_currency returns Exponents (closes #5715)
 * [18606]: fixed format_currency returns Exponents (closes #5715)
 * [18498]: fixed invalid assumption that empty dates evaluate to false
 * [18492]: fixed exception page should execute html/javascript code when using html format - closes #5743
 * [18322]: merged in some minor PHPdoc changes from the yaml component
 * [18164]: fixed error message when an UPLOAD_ERR_INI_SIZE occurs on an uploaded file (closes #6453)
 * [18136]: fixed return value from test:* tasks
 * [18135]: added some missing phpdoc information
 * [18131]: fixed typo in phpdoc (closes #6440)
 * [18104]: strengthened web debug styles
 * [18089]: fixed sfPager::getLinks() to always return integers (closes #6428)
 * [18047]: fixed bad assumption about internal array pointer in sfModelGeneratorConfiguration (closes #6423)
 * [18033]: added Basque translation for admin generator (fixes #6421, thanks Javier.Eguiluz)
 * [18030]: added more information to the error message when a plugin dependency is not installed
 * [17975]: fixed sfWebRequest::getFiles() (closes #6389)

Doctrine Plugin:

 * [19987]: Fixing issue with magic accessors/getters when using camel case with relationships (closes #6178)
 * [19985]: sfDoctrinePlugin: Throwing exception if default culture has not been set (closes #6707)
 * [19982]: sfDoctrinePlugin: adding missing phpdoc blocks to sfWidgetFormDoctrineChoice::configure() (closes #6637)
 * [19406]: Updating sfDoctrinePlugin to use Doctrine 1.0.10
 * [19274]: Fixes issue with different format of indexes not being properly handled in generated forms (closes #6614)
 * [19272]: Fixes one issue with file uploads in doctrine (closes #6617)
 * [19268]: Fix for camel case columns accessors and mutators (closes #6403)
 * [19267]: Fixes issue with crud 404 error message (closes #6469)
 * [19265]: Fixes issue with sfDoctrinePager::getResults() not allowing Doctrine hydration type constants (closes #6612)
 * [18971]: sfDoctrinePlugin: Fixing issue where application option was not passed to load data task


Propel Plugin:

 * [18694]: fixed problem with propel:data-dump task under some Linux distro (closes #5717)


05/02/09: Version 1.2.7
-----------------------

Contains the security fix from 1.2.6. Please read http://www.symfony-project.org/blog/2009/04/27/symfony-1-2-6-security-fix for more information.

 * [17861]: MCE Texteditor now can align images correctly (closes #5745) 
 * [17860]: wrapped fill-in fix for FCK Texteditor in sf_10_compat check (closes #732)
 * [17858]: fixed some codeing standards (fixes #6376 - patch from gimler)
 * [17857]: allows overriding the sfFinder returned by a subclass of sfFinder::type method (fixes #6378) 
 * [17749]: fixed some PHPDoc (closes #6371 - patch from gimler)
 * [17711]: added test that proves that passing a position to stylesheets and javascripts in view.yml is possible (refs #6242)
 * [17709]: fixed accidental unset of fields included in admin generator with partial or component flag
 * [17704]: fixed typo in sfFilterConfigHandler.class.php
 * [17699]: moved functional tests for the 1.0 admin generator in a specific directory
 * [17587]: fixed rare occassion when a widget schema is paired with a simple validator error rather than a validator error schema
 * [17586]: fixed removal of form fields in the admin generator when fields are nested into multiple fieldsets
 * [17583]: fixed wrong PHPDoc type hinting (reported by nicolas)
 * [17581]: fixed r17579: regression when display is set to [ ] (which is default, and equivalent to "all")
 * [17580]: typo in coding standards (from r17579)
 * [17579]: __security fix: removes unused fields in the form to avoid data injection by forging false form fields values.__
 * [17519]: fixed session_write_close is not called in sfDatabaseSessionStorage::shutdown (#6216) 
 * [17478]: fixed sfXCacheCache::clean() (closes #6245)
 * [17477]: fixed generateCacheKey does not coverts dots to underscorse in user given hostname (closes #6252)
 * [17474]: fixed sfTask::getSynopsis() returns incorrect description for arrays of arguments (closes #6280)
 * [17473]: made some small performance optimization on widgets and validators (closes #6311)
 * [17468]: fixed cache manager when the cache partial or component is not from the same module as the same action (closes #6265, #5814)
 * [17467]: fixed default parameters management for routes (refs #6309)
 * [17466]: fixed default parameters management for routes (refs #6309)
 * [17450]: fixed plugin:install task when the plugin has some dependencies
 * [17440]: applied the other patch from #5811 with the compat option (closes #5811 - patch from rs)
 * [17438]: fixed lazy_routes_deserialize still unserializes every route (closes #6309)
 * [17402]: added more tests to sfObjectRouteCollection (refs #5851)
 * [17401]: added sfObjectRouteCollection tests (refs #5851)
 * [17398]: fixed possible php error, added unit tests
 * [17384]: fixed confirm dialog does not work in ie6 (closes #4152)
 * [17382]: fixed inconsistency of routes with generate_shortest_url option enabled (closes #6185) + added more routing tests 
 * [17372]: removed unneeded dependency on sfConfig in sfWebRequest
 * [17357]: doSelectWithI18n no longer accidentally modifies the Criteria passed to it (fixes #6243)
 * [17347]: fixed restoration of response object if an exception is thrown
 * [17339]: re-added the sfXCacheCache::getCacheInfo() method to keep BC
 * [17297]: fixed throw_global_error default value noted in api doc to match the actual default
 * [17217]: Added `sf_lazy_cache_key` setting to address possible backward compatibility break. This must be turned on in `settings.yml` to enable the performance optimization of r16905 and r16907.
 * [17127]: added more unit tests for sfCacheSessionStorage
 * [17125]: removed unused include (for PHP 5.3/PEAR 1.8.0 compat)
 * [17109]: removed reliance on default symfony route, all routing calls are by route name (closes #6236)
 * [17078]: fixed api description of include_http_metas()
 * [17068]: fixed __clone() in all choice widgets (closes #4417)
 * [17064]: fixed xcache cache class (closes #4115)
 * [17063]: fixed generated links (refs #5851)
 * [17047]: fixed autoloading configuration cache behaves differently on Windows and Linux (closes #6232)
 * [17045]: added application/x-zip for Firefox 3 in the compat plugin (refs #6191)
 * [17044]: fixed mime-type map in sfValidatorFile (closes #5808, #6191)
 * [17043]: fixed single group in sfWidgetFormSelectCheckbox (closes #6230)
 * [17042]: removed files that were needed when Propel and Doctrine were not bundled with Symfony
 * [17027]: added a test for format_currency (refs #5715)
 * [17023]: fixed management in sfWebRequest and sfForm (closes #4273, #5075)
 * [16949]: added a new lazy_routes_deserialize optimization option
 * [16942]: removed the web debug toolbar when the response status code is in the 3xx range (closes #6153)
 * [16938]: fixed internal URI is not reset after a negative match (closes #6228 - patch from rs)
 * [16929]: optimized route serialization when using a file cache backend (patch from rs)
 * [16912]: fixed bug in the pattern routing optimization
 * [16911]: fixed routing slowness for big numbers of routes (closes #6222 - patch from rs)
 * [16905]: Avoided unnecessary calls to `md5(serialize())` by moving determination of whether a partial is cacheable to before the cache key is generated. BIG optimization when `sf_cache`==true. Will be backported to 1.0. (closes #5814)
 * [16899]: optimized windows rename() problem hack (based on a patch from Agavi)
 * [16897]: replaced getmypid() by tempnam() in cache classes to be thread-safe (thanks to David Zulke for the tip, refs #6132)
 * [16847]: removed @error suppression in sfFileCache. Now it should work on all platforms. What a pity that PHP doesnt handle this :-( (closes #6132)
 * [16834]: fixed flag upon unregistering of core autoloader
 * [16733]: fix doubled-code
 * [16711]: fixed invalid string length assumption

Doctrine Plugin:

 * [17253]: Fixed testing of null columns in sfTesterDoctrine (handled natively by Propel).
 * [16964]: sfDoctrinePlugin: fixing sfValidatorDoctrineChoiceMany and reverting change to make it equal to Propel (closes #4511)
 * [16959]: sfDoctrinePlugin: Fixes issue where m2m relationships are all unlinked then readded (closes #6192)
 * [16953]: sfDoctrinePlugin: Fixing case sensitive typo
 * [16952]: sfDoctrinePlugin: Fixes issue with generated accessors not using camel case (closes #6178)

Propel Plugin:

 * [17747]: added the filter dir from sfPropelPlugin fixtures in the repo
 * [17701]: renamed sfPropel functional tests backend application
 * [17700]: renamed sfPropel functional tests backend application
 * [17426]: fixed propel 1.3 self referencing table data loading for fixtures (closes #5022)
 * [17296]: fixed Propel query log doesn't work properly on queries with over 9 bindings (closes #5882)
 * [16976]: fixed Propel forms, filters, and admin generator when column names contain uppercase letters (closes #6151, #6187, #5030, #5610, #2855)
 * [16948]: replace all getColumnName() occurrences to getName() as getColumnName() is deprecated in Propel 1.3


04/27/09: Version 1.2.6
-----------------------

The 1.2.6 release is security release.
Please read http://www.symfony-project.org/blog/2009/04/27/symfony-1-2-6-security-fix for more information.

03/28/09: Version 1.2.5
-----------------------

 * [16656]: fixed invalid assumption in cache:clear task (closes #6181)
 * [16587]: added CA translation for admin generator
 * [16555]: Removed extra slash from web debug image root
 * [16553]: Added proxies to sfOutputEscaperSafe so safe vars work as expected when accessed from an action (closes #6147)
 * [16530]: fixed possible race-condition in sfConfigCache. (fixes #6132)
 * [16445]: sfPluginManager now installs dependencies recursively if needed (closes #5998)
 * [16402]: fixed admin generator css which has side effect on all "th" DOM elements
 * [16344]: replaced this->level usage by this->getLogLevel (closes #6086)
 * [16343]: fixed sfCommandManager->parseLongOption() doesn't correctly parse options with '=' in the value (closes #6094)
 * [16274]: fixed form submissions when posted data exceeds post_max_size (closes #6081 - oh yes, I sometimes really hate you PHP!)
 * [16271]: fixed lime path
 * [16260]: fixed ->getLinks() produces error message when result set is empty (closes #5864)
 * [16258]: fixed typo in admin gen french translations (closes #5827)
 * [16256]: updated prototype and scripaculous libraries to their latest dot releases (closes #5889)
 * [16177]: fixed sfYaml::dump dumps doesn't quote strings containing # (closes #6050)
 * [16172]: fixed cannot check all checkbox in Admin generator (IE) (closes #6006)
 * [16171]: fixed command.filter_options doesn't filter anything (closes #6038)
 * [16170]: fixed typo (closes #6014)
 * [16169]: fixed Web debug bar, css style is not inline under windows (closes #6035)
 * [16168]: update admin gen es translation (closes #6046)
 * [16167]: added some tests to sfYAML (closes #6050)
 * [16166]: fixed sfYaml::load wrong parsing with \r\n (closes #6053)
 * [16165]: added some missing PHPDoc (closes #6054)
 * [16164]: fixed typo (closes #6059)
 * [16106]: strengthened web debug styles
 * [15941]: fixed invalid test
 * [15940]: fixed double-absolutizing of absolute urls generated by routes
 * [15892]: iterator interface of sfForm does not take fields in right order. closes #5551
 * [15865]: Fixes issue with loading data fixtures from plugins that use setPluginPath()
 * [15861]: fixed merging of form helps
 * [15850]: fixed sfRouteObject signature
 * [15812]: moved setting of flash notice after model transaction
 * [15809]: fixed sfForm::mergeForm() ignores reordered widgets (closes #5951)
 * [15807]: fixed sfFormField::renderHelp doesn't use formatter (closes #5931)
 * [15805]: fixed register_globals cannot be set at runtime (closes #5922)
 * [15803]: fixed typo + make sure fixtures are ordered (closes #5939)
 * [15802]: fixed typo (closes #5946)
 * [15801]: fixed sfBaseTask::getFirstApplication should ignore version control (closes #5956)
 * [15799]: fixed admin.delete_object event is not despatched on batch delete (closes #5960)
 * [15797]: fixed notice in sfTestBrowser (closes #5964)
 * [15796]: fixed doc for plugin:install task (closes #5966)
 * [15768]: related to r15767, (re)fix #5953: sfWebDebugToolbar do not use anymore the generic «menu» classname, but sfWebDebugMenu instead, to avoid side effects with integrators work.
 * [15767]: fix #5953: sfWebDebugToolbar do not use anymore the generic «menu» classname, but sf_web_debug_menu instead, to avoid side effects with integrators work.
 * [15743]: fixed typo
 * [15727]: enhanced an error message (closes #5898)
 * [15726]: fixed sf_culture being set automatically when testing, but not when using the site (closes #5852)
 * [15720]: fixed sfForm problem when file upload widgets are embedded (closes #5252)
 * [15653]: fixed passing of `flag` config to sfModelGeneratorConfigurationField (closes #5934)
 * [15647]: Added missing documentation for sfValidatorFile option «validated_file_class»
 * [15627]: fixed sfValidatorPropelChoice(Many) overrides some Criteria (closes #5924)
 * [15623]: fixed single quote problem in generated classes in the admin generator
 * [15622]: fixed single quote problem in generated classes in the admin generator
 * [15553]: fixed session_write_close is not called form sfSessionStorage 
 * [15545]: fixed coding standard
 * [15511]: fixed sfFileCache::clean() method (closes #5894)
 * [15510]: enhanced check_configuration.php messages (closes #5873)
 * [15485]: fixed typo
 * [15482]: fixed check_configuration.php outputs gramatically illogical warnings (closes #5873)
 * [15480]: fixed sfLogger priority numbers in logs from application.log event (closes #5883)
 * [15470]: cleaned formatting of generated route collections
 * [15414]: fixed pear check in plugin unit tests
 * [15410]: fixed potential fatal in task test
 * [15395]: fixed persistence of flash error message
 * [15393]: fixed form serialization when PDO is used as a session handler (closes #5267)
 * [15374]: updated admin batch csrf token to generate at runtime (closes #5774, thanks jeremy & ansata)

Doctrine Plugin:

 * [16379]: Added autoload.yml to sfDoctrinePlugin to exclude the Doctrine library from symfony's autoloaders.
 * [16462]: sfDoctrinePlugin: Fixing bug with doctrine:build-all-load not passing app option through to other tasks
 * [16087]: fixed issue when doctrine tasks are run before any applications are created
 * [16033]: Fixes issue with new Doctrine_Query being used inside widget (closes #5996)
 * [15853]: Changing internal queries to use Doctrine_Table::createQuery() (closes #5944)
 * [15833]: Fixes issue where doctrine generated forms use Select instead of Choice like propel does (closes #5896)
 * [15831]: Fixes issue with using Doctrine field names and generated forms/filters (closes #5863)
 * [15828]: Fixes issue with I18n accessors and columns with underscores (closes #5888)
 * [15824]: Fix to Doctrine form generator and min/max validators and regex validators (closes #5900)
 * [15823]: Fixes issue with tasks that use the drop db task not stopping with confirmation is false (closes #5903)
 * [15619]: fixed quote problem in admin generator (closes #5920)
 * [15544]: fixed doctrine support in sfDatabaseSessionStorage (closes #5813)
 * [15488]: ::getModelName() should not be static (cf r15484 and r15481)
 * [15442]: Updating Doctrine externals to 1.0.7 version.
 * [15329]: fixed passing of options to some nested tasks

Propel Plugin:

 * [16176]: fixed typo (closes #6059)
 * [16007]: ported r15242 to propel plugin
 * [15765]: fixed propel:schema-to-yml composite foreign-Keys wrongly converted (closes #5483)
 * [15394]: updated propel external


02/04/09: Version 1.2.4
-----------------------

 * [15257]: fixed issue with cache file corruption due to heavy load. fixes #5729
 * [15247]: fixed wrong test in sfWebDebug. fixed #5790
 * [15223]: escaped variables in exceptions in the development environment (closes #5743)

Doctrine Plugin:

 * [15243]: Fixes issue where embedded forms are saved before the parent form is saved. This causes issues if the embedded form has a foreign key to the parent and in that case the foreign key is not present yet (closes #5617)
 * [15242]: Fixes php notice being thrown in obscure cases in sfFormDoctrine (closes #5773)
 * [15241]: Fixes issue with generated filter forms using wrong widget (closes #5784)
 * [15240]: Fixes regression with admin generators (closes #5785)
 * [15219]: Fixing issue with composite primary key models and crud/generators (closes #5695)
 * [15218]: Fixes issue with sfDoctrineRecord::__call() (closes #5685)

Propel Plugin:

 * [15230]: fixing propel external to specific revision to avoid problems with propel introducing regressions. fixes #5768


01/31/09: Version 1.2.3
-----------------------

 * [15156]: fixed project:enable task to clear only cache of the given application and environment. fixes #5750
 * [15152]: backported Urdu language files. There is a small chance that this file does not work completely for 1.2 but it is better than not having it at all. refs #5410.
 * [15122]: removed test cleanup now being handled in unit bootstrap
 * [15114]: removed priority unssetting in log event handling (closes #5732)
 * [15112]: added missing phpdoc
 * [15033]: fixes deletion of files in sfFormPropel missing an DIRECTORY_SEPARATOR. fixes #5361
 * [14964]: fixed pre_replace issue with username/pw starting with number in sfConfigureDatabaseTask. fixes #5687
 * [14902]: fixed typo in sfConfigureDatabaseTask. closes #5662
 * [14872]: fixed typo (closes #5601)
 * [14869]: fixed MySQLi does not support persistent Connection (closes #5630)
 * [14852]: fixed sfForm::offsetUnset doesn't properly unset private members (closes #5621)
 * [14830]: fixed notice in sfPearRestPlugin (closes #5641)
 * [14730]: fixed discrepancy in function signature (closes #5505)
 * [14689]: fixed simple autoload unregister not changing registered flag
 * [14687]: fixed accidental commit

Doctrine Plugin:

 * [14983]: Fixes issue where generate:admin --module option is ignored 
 * [14982]: Fixed key_method and table_method options for sfWidgetFormDoctrineChoice (closes #5674)
 * [14979]: Fixes issue where table_method is called after the filters are applied (closes #5586)
 * [14978]: Adding sfDoctrinePluginConfiguration class to sfDoctrinePlugin (closes #5633)
 * [14977]: Fixes issue with copies of listeners registering during functional tests (closes #5631)
 * [14976]: Fixing issue with routing throwing exceptions when param is not a property or function on model (closes #5659)
 * [14926]: added missing getStylesheets/getJavaScripts calls in admin generator filters (closes #5689)
 * [14891]: fixed admin generator delete action, confirm translation not work (closes #5650)
 * [14832]: fixed strict notice (closes #5638)
 * [14816]: Fixes bug where 404 is not thrown when no records are found
 * [14815]: Fixes issue with wrong option being passed to insert sql task
 * [14793]: Fixes regression with sfDoctrinePager and the use of setQuery()
 * [14784]: Fixes renderFormTag() to allow custom method (closes #5616)
 * [14783]: Fixes _list_td_tabular.php using wrong classname (closes #5615)
 * [14782]: Adding coverage for unique columns (addresses #5602)
 * [14779]: Fixes regression in sfDoctrinePager and adds additional coverage to tests (closes #5584)

Propel Plugin:

 * [15134]: added generation of key_method option when FK references a non-PK in propel form, filter generators (closes #5370)
 * [15121]: escaped output of propel queries in web debug toolbar
 * [14971]: fixed help message of propel task
 * [14927]: fixed batch select of checkbox doesn't work on IE 6,7 (closes #5177)
 * [14926]: added missing getStylesheets/getJavaScripts calls in admin generator filters (closes #5689)
 * [14891]: fixed admin generator delete action, confirm translation not work (closes #5650)
 * [14784]: Fixes renderFormTag() to allow custom method (closes #5616)
 * [14783]: Fixes _list_td_tabular.php using wrong classname (closes #5615)
 * [14728]: fixed foreign keys are assumed with column name "ID" in auto generation of forms (closes #5370)

01/08/09: Version 1.2.2
-----------------------

* [14523]: publish-assets now canonicalizes pathes before creating the links, thus allowing "\.." and "\.". fixes #5488
* [14518]: added cast of `generate:app` escaping strategy to boolean (refs #5500)
* [14516]: fixed multiple selector chaining in sfDomCssSelector.class. fixed #5321
* [14515]: silenced possible warning (@ pattern is already used in this file). fixed #5454
* [14512]: admin generator resets default filter values correctly. fixed #5508
* [14511]: fixed generate:app and escaping-strategy (closes #5500)
* [14509]: fixed the way propel handles batch deletions to notify deletion behaviours. fixed #5499
* [14507]: fixed uppercase POST/GET are not XHTML valid (closes #5242)
* [14499]: Fixes form filters to perform a stricter check (closes #5548)
* [14497]: fixed typo (closes #5543)
* [14486]: fixed sfTesterUser inability to test attribute for namespaces (closes #5256)
* [14485]: fixed form and view_cache tester are not overridable (closes #5463)
* [14484]: fixed unfinished ob_start in sfValidatorFile (closes #5293)
* [14480]: updated bg translations of the admin generator
* [14421]: updated sfProjectFreezeTask help text to be more verbose
* [14378]: updated propel behavior inclusion logic to use only core classes
* [14288]: improved sfFileCache for most common cases by factor 3. Details in ticket. closes #5356
* [14274]: fixed copy and paste leftover. fixes #5439
* [14265]: minor improvement in search_in performance of sfFinder when not searching symlinks. fixes #5431
* [14264]: fixed DateFormHelper not correctly resolving single digits with leading zero (eg '01'). fixes #5404
* [14261]: fixed issue with sfWidgetFormTime not being able to preselect single digit inputs correctly. fixes #5121
* [14246]: fixed Unable to use my own form formatter (closes #5421)
* [14215]: One more fix for filters m2m (addresses #5157)
* [14181]: Fixes issue with build-model task and plugin directories and plugin names (closes #5243)
* [14173]: fixed var and propel web debug logger regular expressions (closes #5369)
* [14157]: added check for short_open_tags to check_configuration.php
* [14153]: fixed input_date_tag to work correctly in pear installations. fixes #4229
* [14130]: updated italian admin generator translation. fixes #5368
* [14119]: improved select_timezone_tag according patch from Wicked. fixes #5308
* [14107]: admin generators should return to page 1 after applying a filter. fixes #5117
* [14105]: added check for XSLT in check_configuration. fixes #5303
* [14025]: added clearing of Propel instance pools between functional test requests (closes #5295)
* [14015]: fixed Files array is not reset between sfBrowser requests (closes #5297)
* [14010]: fixed Error when uploading files for Embeds forms (closes #5253)

Doctrine Plugin

* [14550]: fixes error when uploading files for embedded forms (closes #5485) 
* [14501]: fixes sfDoctrineRoute to return object instead of null (closes #5540)
* [14500]: fixes issue where filter functions for fields are not camelized (closes #5468)
* [14472]: fixes issue where i18n doesn't fall back to default culture (fixes #5458)
* [14466]: fixes issue with sfDoctrineFormFilter::processValues (closes #5468)
* [14292]: temporary fix (addresses #5267 #4436)
* [14287]: adding coverage for sfDoctrineRoute and Doctrine admin generators.
* [14286]: fixing task so env is passed to the insert-sql task.
* [14258]: fixes filtering on numeric columns in admin generator (closes #5028)
* [14256]: fixes Doctrine admin generator with camelStyle column name (closes #5411)
* [14255]: fixes help message for insert-sql task (closes #5417)
* [14253]: fixing camel case columns for admin generators (closes #5414)
* [14216]: fixes issue where 404 exception is not thrown when no object is found (closes #5090)
* [14214]: fixing incorrect method names for many to many filters (closes #5157)
* [14213]: fixes issue with application option in tasks (closes #5238)
* [14211]: fixing build-model yet again for custom plugin paths (closes #5243)
* [14210]: fixing bug with pagination links (closes #5405)
* [14200]: fixing form generation for plugins using custom paths (closes #5395)
* [14198]: fixes issue with mismatching classname and filename (closes #5381)
* [14162]: fixing bug with sfDoctrineRoute parameters that are passed to the method option.
* [14113]: allowed ability to configure path to Doctrine core libs to allow using a different version of Doctrine (closes #5210)
* [14111]: fixing sfValidatorDoctrineUnique to behave the same way as sfValidatorPropelUnique if a value does not exist
* [14110]: fixing issue introduced in previous commit
* [14108]: fixes missing peer_method equiv. (closes #5324)
* [14106]: fixes generated forms to unique columns are validated (closes #5189)
* [14104]: fixes issue with plugins which are at a custom path (closes #5243)
* [14098]: fixing small issue with overriden getObjects()
* [14096]: fixing sfDoctrineRoute to allow method_for_query so we match the method_for_criteria method for sfPropelPlugin
* [14095]: fixing generated form widget for m2m to be sfWidgetFormDoctrineChoiceMany instead of sfWidgetFormDoctrineSelectMany
* [14056]: added missing sfDoctrineTester class.

12/11/08: Version 1.2.1
-----------------------

* [13947]: fixed admin generator configuration file loading (closes #5137, #5140)
* [13931]: removing objects from the debug output to prevent crashing php with recursions very likely happening on especially routing objects. fixes #5178. refs #3477
* [13930]: fixes small typo/mistake (closes #5192)
* [13929]: publish-assets now works correctly for all active plugins, even when they set the plugin path to a different directory. fixes #5163. refs #4926
* [13928]: fixed remaining array_filter in sfRoute. fixes #5175
* [13869]: applied performance patch for sfToolkit::stripComments from Wicked. Thanks for providing those well done patches. fixes #5237
* [13848]: added check for php-xml to check_configuration.php. fixes #5200
* [13844]: fixed overriding for attribute of generated labels in sfWidgetFormSchemaFormatter. fixes #5220
* [13811]: suppressing warning popping up in dev env
* [13805]: fixed a potential warning
* [13759]: fixed strict standards notice. fixes #5187
* [13726]: added missing check for PDO
* [13696]: fixed typos in functional test php error handling
* [13691]: fixed fluent return value in `sfTester::__call()`
* [13653]: fixed inserting of virtual columns for stacked layouts
* [13652]: fixed fields in admin generator cannot be real (closes #5123)
* [13645]: fixed formatting of phing notice
* [13643]: updated polish translation according to ticket. fixes #5130
* [13634]: fixed a warning when installing a plugin with a non-valid version
* [13615]: updated pl translation for admin gen. closes #5130
* [13596]: fixed package template
* [13588]: fixed bad path in generated vhost.sample
* [13579]: applied performance patch from Wicket, reducing select_currency, select_language and select_country tag time greatly. closes #5114
* [13578]: applied performance patch from Wicket, reducing options_for_select time greatly. closes #5113
* [13572]: fixed request format does not always set layout false for non-html content 

Doctrine Plugin

* [13857]: fixes issue with choice validators (fixes #5192)
* [13856]: fixing strict standards notice
* [13854]: fixes issue with global schema elements (fixes #5194)
* [13853]: fixing validation so it is on by default like it is supposed to be (addresses #5161)
* [13852]: Updating Doctrine external to 1.0 branch instead of tag.
* [13851]: fixes issue with Doctrine cli messages not being forwarded to symfony cli (fixes #5181)
* [13845]: fixes multiple issues and missing functionality in sfDoctrineRoute

Propel Plugin

* [13927]: fixed a regression with the handling of CLOB datatype in propel 1.3 in conjunction with forms. fixes #5263
* [13723]: made queries in the propel debug toolbar copy-and-pasteable
* [13592]: fixed propel:generate-admin task help message

12/01/08: Version 1.2.0
-----------------------

* [13564]: fixed Last-Modified is not checked because expire and cache-control (closes #3597) 
* [13547]: reverted r13470, partial revert of r13196, fixed order of autoload config files so plugin files are processed first (closes #5041)
* [13510]: fixed admin filter labels do not match input id
* [13501]: fixed inline web debug js is not wrapped in cdata block
* [13499]: fixed session cache limiter (refs #3597, closes #3542)
* [13498]: added sample vhosts. closes #5050
* [13494]: fixed Field names cannot be set for Custom Fields in Admin Generator (closes #2908)
* [13493]: added automatic migration for the generated symfony CLI
* [13486]: added _with_csrf to sfBrowser to simulate a CSRF token when generated with JavaScript on the client
* [13485]: add sfWebRequest::checkCSRFProtection() to check if a request is CSRF protected
* [13484]: added CSRF token for link generated by the link_to() helper if CSRF is enabled
* [13483]: changed sfForm::getCSRFToken() to return the current token if no secret is passed as argument
* [13482]: fixed i18n setlocale() problem
* [13481]: made detail more specific for hasErrors(false)
* [13480]: updated functional tests fixtures for sf core tests
* [13479]: fixed Incorrect content type in sfPartialView (closes #5107)
* [13476]: fixed potential deprecated notice
* [13470]: fixed assumption that default config file comes first (refs #5041)
* [13465]: added a note about component escaping problem from 1.1
* [13463]: fixed var escaping in a component (closes #1638)
* [13461]: added a renderId() method to sfFormField (closes #4294)
* [13451]: fixed potential notice + made test more compatible
* [13444]: made default symfony in skeleton faster
* [13423]: checking that upload directory exists before chmoding - removing error
* [13419]: fixed typo (closes #4274)
* [13417]: fixed doctype lost when reopening an XLIFF file (closes #4274)
* [13416]: fixed sfRequest::getUri() when using Microsoft IIS (closes #4886)
* [13413]: removed the isDebug parameter for task as it cannot work with autoloading (closes #4911)
* [13412]: fixed missing alt tag in cache debugging information (refs #4929)
* [13408]: fixed long line in a PHP doc (closes #4750)
* [13401]: fixed i18n:extract task (closes #4924)
* [13398]: added DOCTYPE to generated XLIFF files
* [13396]: added mandatory <header /> tag in generated XLIFF files (closes #4274)
* [13391]: YAML dumper should remove carriage returns (\r) (closes #4740)
* [13386]: added mime type for PDF (closes #4483)
* [13382]: fixed sfObjectRoute to work with Doctrine when no object is returned (closes #5090, #5091)
* [13379]: fixed blank/white screens instead of 404 errors for other types of content than html (closes #5032)
* [13373]: fixed sfConfig::set('sf_web_debug', false) in an action doesn't disable the toolbar (closes #5063)

Doctrine Plugin

* [13512]: made batch actions javascript xhtml compliant
* [13511]: reverted r13509
* [13509]: fixed typo
* [13508]: fixed db web debug panel img is not valid xhtml
* [13504]: fixes issue with insert-sql not working by itself (closes #5103)
* [13503]: Updating test base classes
* [13502]: fixed filters for all numbers (closes #5028) 
* [13496]: fixed Field names cannot be set for Custom Fields in Admin Generator (closes #2908)
* [13490]: fixed CSRF problem with CRUD and admin generator (closes #4915)
* [13488]: fixed double inclusion of hidden fields on CRUD generated modules
* [13480]: updated functional tests fixtures for sf core tests
* [13467]: fixed _form_actions.php template is hardcoded to use edit.actions (ignoring new.actions) (closes #5062)
* [13415]: removed the isDebug parameter for task as it cannot work with autoloading (closes #4911)
* [13394]: fixes issue with pager when query results are empty (closes #3563)
* [13393]: fixes issue with query params with binary data causing problems in the logs (closes #5052)
* [13392]: moved doctrine libs to lib/vendor and changed to use Doctrine autoloader.
* [13390]: fixed admin generator route generation when the primary key is not named id (closes #4966 closes #5082) 
* [13385]: fixes issue with check for package param being too general (closes #5085)

Propel Plugin

 * [13512]: made batch actions javascript xhtml compliant
 * [13511]: reverted r13509
 * [13509]: fixed typo
 * [13508]: fixed db web debug panel img is not valid xhtml
 * [13497]: added note about possible phing errors. closes #5025
 * [13495]: fixed Field names cannot be set for Custom Fields in Admin Generator (closes #2908)
 * [13492]: fixed filters for all numbers (closes #5028)
 * [13489]: fixed CSRF problem with CRUD and admin generator (closes #4915)
 * [13487]: fixed double inclusion of hidden fields on CRUD generated modules
 * [13480]: updated functional tests fixtures for sf core tests
 * [13466]: fixed _form_actions.php template is hardcoded to use edit.actions (ignoring new.actions) (closes #5062)
 * [13459]: fixed integer fields in a filter form class (closes #5028)
 * [13434]: fixed typo (closes #5094)
 * [13414]: removed the isDebug parameter for task as it cannot work with autoloading (closes #4911)
 * [13407]: fixed lv admin gen trnaslations (closes #4274)
 * [13399]: fixed XLIFF files for admin generator
 * [13397]: fixed admin gen XLIFF files
 * [13389]: fixed typo
 * [13384]: fix obsolete comment

11/26/08: Version 1.2.0 RC2
---------------------------

* [13363]: made command line much faster. fixes #4928
* [13361]: fixed sfForm::embedFormForEach does not properly store embedded forms (closes #5080)
* [13360]: fixed tester message
* [13343]: changed the form tester to test error codes instead of error messages
* [13342]: fixed a typo in sfTesterForm
* [13339]: reverted r12807 (closes #4287)
* [13325]: fixed wilcard typo. needs rebuilding routes and admin. fixes #5065
* [13324]: fixed possible notice in sfWidgetFormSelectCheckbox by applying pattern from sfWidgetFormSelect. fixes #5056
* [13322]: fixed routing when a route parameter is empty (closes #5001, #4960, #5042)
* [13319]: fixed relative symlinks that were incorrectly when some directories had the same prefix. added plenty tests for this.
* [13317]: fixed warning for symfony CLI (closes #5019)
* [13288]: removed the inability to override a route (really useful when using sfPropelRouteCollection)
* [13281]: made type of virtual fields configurable in generators. fixes #4973
* [13278]: fixed PHPDoc on sfValidatorDate. fixes #5039
* [13247]: add __call() to sfTester to forward all unknown method to the browser object

11/22/08: Version 1.2.0 RC1
---------------------------

* [13212]: fixed regular expression back reference bug on windows pathes like "symfony\1.2". fixes #5021
* [13196]: fixed plugin autoloading
* [13143]: fixed typo in comment
* [13142]: attempt to close #4777. The bug might be caused either by the openDB cursor that at least pdo->fetch leaks, or misinterpreted return values (the if only would trigger if the assignment would evaluate to true).Now the number of rows returned is checked and the data is accessed using the 0,0 index, which should be much safer as well.
* [13127]: forthport of r13126: sfValidatorAnd and sfValidatorOr validators are now required by default to ensure a standard behavior - fixes and closes #4877
* [13123]: fixed weird cache with layout bug - patch by phuson (refs #4514)
* [13119]: fixed typo for batch actions in admin generator
* [13098]: fixed typo in autoload recursive setting
* [13097]: added support for conditional comments to stylesheets and javascripts (closes #1677)
* [13092]: fixed plugin:publish-assets is ignore the setting of ->disablePlugin(...) (closes #4926)
* [13090]: fixed getAllPluginPaths() to only look for plugins that end with Plugin
* [13089]: added a renderer option for the admin generator list (closes #685)
* [13082]: Fixes issue with embedded forms with a name that is a 0 integer (closes #4906)
* [13079]: fixed missing hyphen from my last change. closes #4976
* [13078]: fixed I18n code ignores sf_app_i18n_dir (closes #4323)
* [13074]: reverted request format auto-configuration based on the Accept header (closes #4920)
* [13060]: added a sfForm::getName() method (closes #4852)
* [13052]: exclude the .svn folder from the sandbox files, which would appear there due to linking of core plugins. Fixes #4950
* [13051]: fixed project:freeze does not update symbolic links of default plugins in /web (closes #4899)
* [13050]: removed unneeded code
* [13046]: reverted r13029 because Doctrine uses __call() for some methods (closes #4957)
* [13037]: reordered .sf creation in sandbox script
* [13036]: fixed sandbox default database configuration (closes #4953)
* [13035]: fixed the configure:database task for Propel 1.3
* [13029]: added some exception in sfObjectRoute when the method does not exist
* [13028]: updated the default databases.yml in skeleton
* [13026]: fixed genUrl() when a relative URL (/foo/bar) is passed as an argument (it is possible because an internal URI cannot start with a / anymore since symfony 1.1)
* [13023]: added basic implementation of select()/deselect() support to test browser for changing selection in check and radiobuttons. Closes #4673
* [13022]: fixed generate:module description formatting
* [13018]: fixed #2798 by applying Patch from Nebelmann
* [13002]: removed the default route for symfony default module
* [12996]: added a workaround to a PHP wierd behavior where classes are not autoload within an Exception constructor
* [12982]: added alt attributes to web debug toolbar icons to be xhtml valid
* [12969]: fixed URL generation when custom tokens have been defined
* [12968]: fixed sfRoute tokenizer to ease extensions
* [12960]: added sfCompat10Plugin as an excluded plugin in the default skeleton
* [12952]: fixed assumption plugin name can be determined using `basename()`
* [12949]: added .css for the default CSS in the default view.yml file
* [12920]: fixed symfony default CLI

Doctrine Plugin

* [13231]: removed unneeded file from fixtures
* [13219]: Fixing generated children forms and test fixtures from last commit
* [13218]: fixing path of base filter class
* [13217]: fixes issue with sfDoctrineRecord::toParams() (closes #5029)
* [13211]: Fixing issue with admin generator routes (closes #5027)
* [13210]: fixes issue with doctrine filters (closes #4944)
* [13163]: fixes issue with duplicate saving of related records (closes #4935)
* [13138]: fixed image URLs in admin generator (closes #4987)
* [13121]: fixed indentation
* [13086]: fixes issue with m2m filters (closes #4944)
* [13085]: fixes issue with admin generator and multi-part file forms (closes #4946)
* [13073]: added hide feature to admin gen (closes #4794)
* [13072]: Adding coverage for ticket (addresses #4935)
* [13062]: added a sfForm::getName() method (closes #4852)
* [13049]: added a way to customize the actions added on a form (closes #4947)
* [13044]: fixed embedded form saving when there is a non Doctrine form in the chain
* [12955]: test coverage, fixing issues, updating sfFormDoctrine to be equal to sfFormPropel, fixes issue with i18n (closes #4907)
* [12941]: changing fromArray() to not be recursive/deep as the save embedded forms takes care of this for us now
* [12938]: fixes #4905
* [12902]: fixing location of BaseFormDoctrine in fixtures
* [12900]: committing update to tests for generated base models

Propel Plugin

* [13234]: fixed invalid assumption when loading propel map builders
* [13197]: fixed propel autoload config
* [13140]: Renamed task filenames to match classes.
* [13137]: fixed image URLs in admin generator (closes #4987)
* [13120]: fixed indentation
* [13095]: fixed propel:build-schema task
* [13084]: sfPropelPlugin: fixes issue with admin generator and multi-part file forms (closes #4946)
* [13070]: update YUI to 2.6.0 (closes #4923)
* [13061]: added a sfForm::getName() method (closes #4852)
* [13048]: added a way to customize the actions added on a form (closes #4947)
* [13045]: updated nl translations for admin gen (closes #4958, thanks dream0r)
* [13043]: fixed embedded form saving when there is a non Propel form in the chain
* [13039]: added more german admin gen translations. refs #4909
* [13038]: added missing strings in i18n XLIFF file for the admin generator (closes #4841, #4909)
* [13030]: fixed typo in admin gen pagination
* [13027]: added a method_for_criteria option
* [12959]: r12812 introduced a regression: fixtures order is totally random, as sfFinder returns directories entry in arbitrary order.
* [12933]: added el translation for the admin generator (thanks to Zapantis Antreas).
* [12930]: updated da translation for the admin generator (thanks to kjaer & henrik). closes #4896
* [12929]: updated pt_br translation for the admin generator (thanks to Daniel)


11/10/08: Version 1.2.0 beta2
-----------------------------

* [12876]: Added a way to define default messages for required and invalid
* [12873]: added CSS and JS support to sfWidgetFormDateRange widget (closes #4831)
* [12871]: enhanced usability of the admin stylesheet
* [12870]: fixed generator.yml doesn't handle object_actions configuration
* [12865]: added sfCompat10Plugin in excluded plugins when migrating
* [12864]: added cache to symfony CLI (closes #4882)
* [12863]: added hide feature to admin gen (closes #4794)
* [12860]: implemented ArrayAccess? for sfUser attributes
* [12859]: added array access for sfRequest parameters (relates to #4815)
* [12857]: removed sf_admin_module_web_dir from settings.yml (closes #4812)
* [12853]: fixed sfBrowser when an action is empty
* [12849]: new unit test for calculateRelativeDir()
* [12848]: fixed plugin:publish-assets task
* [12847]: needed to move relative path calculation into sfFilesystem
* [12845]: added PDO debugging when running functional tests
* [12842]: fixed sfForm::isNew() method
* [12837]: fixed positioning of calendar popup. fixes #2240
* [12816]: fixed location of the base form class for Propel and Doctrine
* [12813]: fixed setDefaultFormFormatterName()
* [12810]: fixed widget form schema positions after unsetting some widgets
* [12809]: fixed CLI tasks when some plugins register behaviors (closes #4645)
* [12807]: removed unneeded code (closes #4287)
* [12806]: fixed app:routes display when a route has several method requirement
* [12805]: renamed i18n file for da (closes #4834)
* [12769]: fixed form field ordering in admin generator when no display
* [12768]: converted some functional tests to the new syntax
* [12763]: applied patch for UTF-8 support and using PropelConnections
* [12758]: added automatic route creation to propel:generate-admin
* [12753]: changed some sfObjectRoute error messages to be more explicit
* [12752]: reformated the default layout
* [12751]: fixed HTTP header for exceptions (closes #4864)
* [12728]: fixed token replacement in databases.yml
* [12704]: fixes #4721 fixes #4835
* [12700]: fixed a warning (closes #4747)
* [12699]: fixes issue with autoloading and custom behaviors (closes #4712)
* [12698]: reverted usage of REQUEST_TIME? (closes #4797)
* [12696]: made sure that the core autoloaded is registered only once
* [12695]: made an error message more useful (closes #4802)
* [12694]: fixed nested i18n forms (closes #4845)
* [12683]: added i18n missing catalogue information (closes #4841)
* [12676]: fixed spl_autoload_register for PHP 5.1.2
* [12672]: added exception if a plugin is enabled too late (closes #4809)
* [12668]: added sfProjectConfiguration::setPluginPath()
* [12661]: added a new option to be able to change the default text regex
* [12660]: made sfRequest cloneable
* [12659]: fixed deep nested forms saving
* [12657]: changed an error message to be more descriptive
* [12647]: added support for nested forms in the admin generator
* [12641]: fixed typo in sfValidatorString
* [12640]: made some more tweaks for people with output escaping set to off
* [12639]: changed the default behavior of symfony: now all plugins are enabled
* [12631]: Fixed plugins autoloading
* [12625]: removed magic_quotes calls for 5.3 compat (closes #4806)
* [12587]: tweaked web debug toolbar css (better cross-browser compat)
* [12584]: added skeleton fixtures.yml with inline documentation (refs #4670)
* [12579]: added tif datatype in mime_types.dat. closes #4800
* [12566]: fixed temp dir on a unit test file
* [12564]: fixed some unit test when APC is disabled
* [12562]: fixed case-sensitivity problem

Doctrine Plugin

* [12892]: fixed sfDoctrineForm::saveFile() when a filename is provided (closes #4839)
* [12890]: fixes #4594
* [12889]: fixes issue with sfDoctrineColumng::isNotNull()
* [12888]: fix for saving nested forms (closes #4843)
* [12886]: fixes #4879
* [12712]: fixing dql task to output results of query
* [12710]: fixes #4843
* [12709]: fixing typo
* [12708]: fixes #4787
* [12707]: fixes #4717
* [12703]: fixes #4808
* [12702]: sfDoctrineManagerPlugin: fixes issue with use of old form helpers
* [12701]: added exception when user tries to use package
* [12693]: sfDoctrineGuardPlugin: fixes #4739
* [12691]: fixes #4764
* [12690]: sfDoctrineGuardPlugin: fixes #4821
* [12689]: sfDoctrineGuardPlugin: fixes #4821
* [12687]: fixing typo and adding logic to use textarea
* [12686]: added i18n missing catalogue information (closes #4841)
* [12685]: sfDoctrineGuardPlugin: fixes #4742
* [12670]: fixing sfDoctrineRoute
* [12669]: reporting admin and crud themes
* [12667]: removing old admin generator and crud code
* [12651]: cleaning up sqlite database files 
* [12650]: fixing indention of generated forms 
* [12649]: Fixing admin generator filters
* [12634]: initial entry of new admin generators for Doctrine
* [12595]: fixed ObjectHelper for doctrine (closes #4602)

Propel Plugin

* [12891]: fixed sfFormPropel::saveFile() when a filename is provided (closes #4839)
* [12851]: fixed i18n in Propel forms
* [12812]: fixed order of data deleting in sfPropelData (closes #4783)
* [12804]: added nested sets builders inthe upgrade task (closes #4620)
* [12803]: added key_method to sfWidgetFormPropelSelect and
* [12800]: changed Propel externals to 1.3 branch (closes #4692)
* [12656]: changed the order of objects saving in sfPropelForm
* [12637]: added nested save support to sfPropelForm
* [12596]: sfPropelPlugin: updated API doc
* [12591]: sfWidgetFormPropelChoice, sfWidgetFormPropelSelect : added added peer_method option
* [12893]: added lv translation for the admin generator
* [12612]: added ar translation for the admin generator (thanks to Pascal
* [12611]: added hu translation for the admin generator (thanks to Vajo Gaspar)
* [12601]: added uk translation for the admin generator (thanks to Roman Dushko)
* [12599]: added lt translation for the admin generator (thanks to Kazimieras
* [12598]: added hr translation for the admin generator (thanks to Kreso)
* [12581]: added cs translation for the admin generator (thanks Pavel Campr)
* [12571]: added fi translation for the admin generator (thanks to Jaakko)
* [12570]: added pt translation for the admin generator (thanks to Tito Costa)
* [12569]: added tr translation for the admin generator (thanks to Yilmaz)


Version 1.2.0 beta1
-------------------

* All bug fixes from 1.0.0 -> 1.1.5
